Site Profile

Prev Next

Site Profile

You need the Manage Site permission to manage site.

Site Profile JSON Format

Site Profile is represented as simple flat JSON objects with the following keys:

Name Type Description
firstName string First Name of site registrant.
lastName string Last Name of site registrant.
company string Company name.
website string Company website.
phone string Company phone number.
fax string Company fax number.
companySize string The number of staff of the company, value options include: 1-20, 21-50, 51-100, 101-180, 181-310, 311-600, Above 600.
mailingAddress string The mailing address of the company.
city string City where the company located.
stateOrProvince string State/Province where the company located.
postalOrZipCode string Postal/Zip Code where the company located.
countryOrRegion string Country/Region where the company located.
datetimeFormat string Allowed values are "YYYY/MM/DD HH:mm:ss", "YYYY-MM-DD HH:mm:ss", "MM/DD/YYYY HH:mm:ss", "MM-DD-YYYY HH:mm:ss", "DD/MM/YYYY HH:mm:ss", "DD-MM-YYYY HH:mm:ss".
languageId string Language of the site, value options include: en, zh-CN.
timeZone string Time zone of site. Value include all Time Zone Option identifers.
siteId integer Id of the site.
status integer Current status of site.
enabledModules array The list of enabled modules.
featurePoints array The list of featurepoints.
isFreemium bool Whether the site is Freemium or not.
limitDataMonth integer How many months of data can be accessed on Control Panel history.
sitePlans array The list of plans.
externalId string External id of the thirdparty system.

Get a single Site Profile

GET global/site

  • Parameters:

No Parameters

  • Response:

Site Profile

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/site \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "firstName": "Jason",
  "lastName": "Statham",
  "company": "Comm100",
  "website": "https://www.comm100.com",
  "phone": "88654987",
  "fax": "58469215",
  "companySize": "101-180",
  "mailingAddress": "mail@comm100.com",
  "city": "Vancouver",
  "stateOrProvince": "British Columbia",
  "postalOrZipCode": "V7J",
  "countryOrRegion": "Canada",
  "datetimeFormat": "MM/DD/YYYY HH:mm:ss",
  "timeZone": "Atlantic Standard Time",
  "siteId": 10000,
  "status": 0,
  "externalId": "",
  "enabledModules": [
      {
          "id": "d8ea444e-f566-4abd-9dd2-ec64532b7da9",
          "moduleId": ""
      }
  ],
  "featurePoints": [
      {
          "featurePointItemId": "",
          "id": "3a91f376-68b9-44fe-9e45-5e6b89a56097"
      }
  ],
  "isFreemium": false,
  "limitDataMonth": 0,
  "sitePlans": [
      {
          "planId": 211,
          "name": "Comm100 Omnichannel Business"
      }
  ]
} 

Update the Site Profile

PUT global/site

  • Parameters:

Name Type in Required Description
firstName string body yes First Name of site registrant.
lastName string body yes Last Name of site registrant.
company string body yes Company name.
website string body yes Company website.
phone string body no Company phone number.
fax string body no Company fax number.
companySize string body yes The number of staff of the company, value options include: 1-20, 21-50, 51-100, 101-180, 181-310, 311-600, Above 600.
mailingAddress string body no The mailing address of the company.
city string body no City where the company located.
stateOrProvince string body no State/Province where the company located.
postalOrZipCode string body no Postal/Zip Code where the company located.
countryOrRegion string body yes Country/Region where the company located.
datetimeFormat string body yes Allowed values are "YYYY/MM/DD HH:mm:ss", "YYYY-MM-DD HH:mm:ss", "MM/DD/YYYY HH:mm:ss", "MM-DD-YYYY HH:mm:ss", "DD/MM/YYYY HH:mm:ss", "DD-MM-YYYY HH:mm:ss".
languageId string body no Language of the site, value options include: en, zh-CN.
timeZone string body yes Time zone of site. Value include all Time Zone Option identifers.
siteId integer body no Id of the site.
status integer body no Current status of site.
enabledModules array body no The list of enabled modules.
featurePoints array body no The list of featurepoints.
externalId string body no External id of the thirdparty system.
  • Response:

Site Profile

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/site \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"firstName":"Jason","lastName":"Statham","company":"Comm100","website":"https://www.comm100.com","phone":"88654987","fax":"58469215","companySize":"101-180","mailingAddress":"mail@comm100.com","city":"Vancouver","stateOrProvince":"British Columbia","postalOrZipCode":"V7J","countryOrRegion":"Canada","datetimeFormat":"MM/DD/YYYY HH:mm:ss","timeZone":"Atlantic Standard Time","status":0}' 

Response:

HTTP/1.1 200 OK

{
  "siteId": 10000,
  "firstName": "Jason",
  "lastName": "Statham",
  "company": "Comm100",
  "website": "https://www.comm100.com",
  "phone": "88654987",
  "fax": "58469215",
  "companySize": "101-180",
  "mailingAddress": "mail@comm100.com",
  "city": "Vancouver",
  "stateOrProvince": "British Columbia",
  "postalOrZipCode": "V7J",
  "countryOrRegion": "Canada",
  "datetimeFormat": "MM/DD/YYYY HH:mm:ss",
  "languageId": "en",
  "timeZone": "Atlantic Standard Time",
  "status": 0,
  "externalId": "",
  "enabledModules": [
      {
          "id": "d8ea444e-f566-4abd-9dd2-ec64532b7da9",
          "moduleId": ""
      }
  ],
  "featurePoints": [
      {
          "featurePointItemId": "",
          "id": "3a91f376-68b9-44fe-9e45-5e6b89a56097"
      }
  ]
} 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.